# This is the HPB_bot.cfg file (for Opposing Force deathmatch & teamplay)
#
# Any line begining with '#' in the first column is a comment line
#
# The following commands are supported in the bot.cfg file:
#
# addbot - will add a bot using a random skin and the default bot skill level
# addbot <model> - will add a bot using the specified model with the
#      default skill level.
# addbot <model> <name> - will add a bot using the specified model and
#      player name and the default bot skill level.
# addbot <model> <name> <skill> - will add a bot using the specified model,
#      player, and skill level (where skill level is 1 to 5, 1 being the
#      best skilled and 5 being the worst skilled).
#
# botskill <skill> - change the default botskill level (1 to 5).
#                    skill level 1 is the best, skill level 5 is the worst.
#
# observer <value> - change the observer mode setting, 1=on, 0=off.
#
# botdontshoot <value> - change the botdontshoot setting, 1=on, 0=off.
#
# pause <timeout> - pause for the specified number of seconds before
#      continuing with the commands in the bot.cfg file.
#
# min_bots <value> - configure the minimum number of bots that will run
#      on this dedicated server.
#
# max_bots <value> - configure the maximum number of bots that will run
#      on this dedicated server.
#
# bot_strafe_percent <value> - sets the percent of time bot will strafe
#      left and right while running.  Allowed values are 0 - 100.  The
#      default value is 20.  Note: a higher straffing percentage causes
#      the bots to fall off of narrow walkways and causes them problems
#      getting through doorways.
#
# bot_chat_percent <value> - sets the percent of time bot will use the
#      "say" command to send a bot_chat (checked every 30 seconds)
#      Allowed values are 0 - 100.  The default value is 10.
#
# bot_taunt_percent <value> - sets the percent of time bot will use the
#      "say" command to send a bot_taunt message after killing another
#      player.  Allowed values are 0 - 100.  The default value is 20.
#
# bot_whine_percent <value> - sets the percent of time bot will use the
#      "say" command to send a bot_whine message after being killed.
#      Allowed values are 0 - 100.  The default value is 10.
#
# bot_chat_tag_percent <value> - sets the percent of time bots will remove
#      clan tags from player names.  The default value is 80.
#
# bot_chat_drop_percent <value> - sets the percent of time bots will drop
#      characters from chat messages.  The default value is 10.
#
# bot_chat_swap_percent <value> - sets the percent of time bots will swap
#      characters in chat messages.  The default value is 10.
#
# bot_chat_lower_percent <value> - sets the percent of time bots will
#      convert chat messages to all lowercase.  The default is 50.
#
# bot_logo_percent <value> - sets the percent of time the bot will attempt
#      to spray a custom spray logo after killing an opponent.  The default
#      value is 40.
#
# bot_reaction_time <value> - sets the reaction time delay of the bots.
#      When the bots see a new enemy they will delay slightly before firing
#      to simulate a human reaction time delay.  The reaction time delay is
#      also based on the bot skill setting for that bot.  High skilled bots
#      (with skill level of 1 or 2) will have shorter reaction time delays
#      than lower skilled bots (with skill level 3, 4, or 5).  The delay
#      value can be...
#      0 - disables the bot reaction time.
#      1 - very short reaction time delay. (between 0.01 and 0.10 seconds)
#      2 - moderate reaction time delay.
#      3 - fairly long reaction time delay. (between 0.10 and 0.30 seconds)
#      The default value is 2.
#
# random_color <value> - sets whether or not you wish to spawn bots with
#      random topcolor and bottomcolor values.  Set the value to 0 to
#      disable random colors.  Set the value to 1 to enable random colors.
#      The default value is 1.
#
# Any other commands in the bot.cfg file will be treated as server
# commands.  For example, you can use "map mapname" (without the quotes)
# to select a specific map, or you can use "mp_forcerespawn 1" to turn
# on force respawn, or "kick # 1" to automatically kick player number 1.
#

# wait for 3 seconds
#pause 0

# change default bot skill level to 4
botskill 3

# Remove the comments on the 2 lines below to support a minimum and maximum
# number of bots running on a dedicated server.  Bots will be added to the
# server until the total number of players (bots and humans) reaches the
# max_bots value.  Each time a new player joins the server, a bot will be
# kicked from the server unless there are only min_bots number of bots
# currently on the server.  After players disconnect from the server, bots
# will be automatically added back to the server until the total number
# of players reaches max_bots again.  You should make max_bots be AT LEAST
# one less than the maxplayers value (otherwise no one will be able to join
# your server).

#botdontshoot 0

min_bots 4
max_bots 4

bot_strafe_percent 20

bot_chat_percent 0
bot_taunt_percent 6
bot_whine_percent 0

bot_chat_tag_percent 80
bot_chat_drop_percent 10
bot_chat_swap_percent 10
bot_chat_lower_percent 100

bot_logo_percent 100
bot_reaction_time 2
random_color 1
